Subject: Re: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-12.txt

From: Ludovic BOCQUET <[email-masked]>
Date: Thu, 13 Jan 2022 14:56:35 +0000

Hello all,

I think that RFC must be in "6.1.  Normative References" section instead of 6.2.

-----------------------------------------------------------------------------------------------------------
6.2.  Informative References

   [RFC5246]  Dierks, T. and E. Rescorla, "The Transport Layer Security
              (TLS) Protocol Version 1.2", RFC 5246,
              DOI 10.17487/RFC5246, August 2008,
              <https://www.rfc-editor.org/info/rfc5246>.

   [RFC5801]  Josefsson, S. and N. Williams, "Using Generic Security
              Service Application Program Interface (GSS-API) Mechanisms
              in Simple Authentication and Security Layer (SASL): The
              GS2 Mechanism Family", RFC 5801, DOI 10.17487/RFC5801,
              July 2010, <https://www.rfc-editor.org/info/rfc5801>.

   [RFC5802]  Newman, C., Menon-Sen, A., Melnikov, A., and N. Williams,
              "Salted Challenge Response Authentication Mechanism
              (SCRAM) SASL and GSS-API Mechanisms", RFC 5802,
              DOI 10.17487/RFC5802, July 2010,
              <https://www.rfc-editor.org/info/rfc5802>.

   [RFC5929]  Altman, J., Williams, N., and L. Zhu, "Channel Bindings
              for TLS", RFC 5929, DOI 10.17487/RFC5929, July 2010,
              <https://www.rfc-editor.org/info/rfc5929>.

   [RFC7627]  Bhargavan, K., Ed., Delignat-Lavaud, A., Pironti, A.,
              Langley, A., and M. Ray, "Transport Layer Security (TLS)
              Session Hash and Extended Master Secret Extension",
              RFC 7627, DOI 10.17487/RFC7627, September 2015,
              <https://www.rfc-editor.org/info/rfc7627>.
-----------------------------------------------------------------------------------------------------------

What do you think?

Thanks in advance.

Regards,

BOCQUET Ludovic

________________________________
From: Kitten <[email-masked]> on behalf of [email-masked] <[email-masked]>
Sent: Monday, October 25, 2021 5:29 PM
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Subject: [kitten] I-D Action: draft-ietf-kitten-tls-channel-bindings-for-tls13-12.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Common Authentication Technology Next Generation WG of the IETF.

        Title           : Channel Bindings for TLS 1.3
        Author          : Sam Whited
        Filename        : draft-ietf-kitten-tls-channel-bindings-for-tls13-12.txt
        Pages           : 6
        Date            : 2021-10-25

Abstract:
   This document defines a channel binding type, tls-exporter, that is
   compatible with TLS 1.3 in accordance with RFC 5056, On Channel
   Binding.  Furthermore it updates the "default" channel binding to the
   new binding for versions of TLS greater than 1.2.  This document
   updates RFC5801, RFC5802, RFC5929, RFC7677, and RFC8446.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-kitten-tls-channel-bindings-for-tls13/

There is also an HTML version available at:
https://www.ietf.org/archive/id/draft-ietf-kitten-tls-channel-bindings-for-tls13-12.html

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-kitten-tls-channel-bindings-for-tls13-12

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
Kitten mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/kitten

---

From: Alexey Melnikov <[email-masked]>
Date: Mon, 17 Jan 2022 17:15:57 +0000

Hi Ludovic,

> I think that RFC must be in "6.1.  Normative References" section 
This one is borderline: reading of this RFC is not required to implement 
this draft, but it might help in understanding.
> <https://www.rfc-editor.org/info/rfc5802>.
These 2 are effectively updated by the draft, so I agree that they 
should be Normative.
> <https://www.rfc-editor.org/info/rfc5929>.
This seems to be Normative as well, as it is being updated.
> <https://www.rfc-editor.org/info/rfc7627>.

I think this can stay as Informative, as it again is not required to 
implement the draft.

Best Regards,

Alexey

> ------------------------------------------------------------------------
> *From:* Kitten <[email-masked]> on behalf of 
> [email-masked] <[email-masked]>
> *Sent:* Monday, October 25, 2021 5:29 PM
> *To:* [email-masked] <[email-masked]>
> *Cc:* [email-masked] <[email-masked]>
> *Subject:* [kitten] I-D Action: 
> draft-ietf-kitten-tls-channel-bindings-for-tls13-12.txt
>
>         Filename        : 
> draft-ietf-kitten-tls-channel-bindings-for-tls13-12.txt
>         Pages           : 6
>         Date            : 2021-10-25
>
> Abstract: